package com.ruoyi.custclient.service;

import java.util.List;
import com.ruoyi.custclient.domain.VehicleInfo;

/**
 * 用户车辆信息Service接口
 * 
 * @author wuyufei
 * @date 2024-10-21
 */
public interface IVehicleInfoService 
{
    /**
     * 查询用户车辆信息
     * 
     * @param id 用户车辆信息主键
     * @return 用户车辆信息
     */
    public VehicleInfo selectVehicleInfoById(Long id);

    /**
     * 查询用户车辆信息列表
     * 
     * @param vehicleInfo 用户车辆信息
     * @return 用户车辆信息集合
     */
    public List<VehicleInfo> selectVehicleInfoList(VehicleInfo vehicleInfo);

    /**
     * 新增用户车辆信息
     * 
     * @param vehicleInfo 用户车辆信息
     * @return 结果
     */
    public int insertVehicleInfo(VehicleInfo vehicleInfo);

    /**
     * 修改用户车辆信息
     * 
     * @param vehicleInfo 用户车辆信息
     * @return 结果
     */
    public int updateVehicleInfo(VehicleInfo vehicleInfo);

    /**
     * 批量删除用户车辆信息
     * 
     * @param ids 需要删除的用户车辆信息主键集合
     * @return 结果
     */
    public int deleteVehicleInfoByIds(Long[] ids);

    /**
     * 删除用户车辆信息信息
     * 
     * @param id 用户车辆信息主键
     * @return 结果
     */
    public int deleteVehicleInfoById(Long id);
}
